Package: org.gmetrics.result

## [Groovy] Class MethodKey

- org.gmetrics.result.MethodKey

- Serves as a key in the Map of method --> MetricResult. This encapsulates the unique method information that enables distinguishing between multiple overridden methods (same name, different parameters).

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `def` | `methodName`
    `def` | `signature`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodKey (String methodName)`
    `MethodKey (org.codehaus.groovy.ast.MethodNode methodNode)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `equals(Object object)`
    `` | `int` | `hashCode()`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final def methodName

    - #### final def signature

  - ### Constructor Detail

    - #### MethodKey(String methodName)

    - #### MethodKey(org.codehaus.groovy.ast.MethodNode methodNode)

  - ### Method Detail

    - #### @Override boolean equals(Object object)

    - #### @Override int hashCode()

    - #### @Override String toString()